from __future__ import unicode_literals

import base64


class ScrutinyTestUtils(object):

    def create_received_data(self):
        return {
            "secret_list": [
                "secret1",
                "secret2",
                "secret3",
            ],
            "elec_proc_id": 1,
            "sge_cert": base64.b64encode("dummy"),
            "vs_cert": base64.b64encode("dummy"),
            "election_pvt_key": base64.b64encode("dummy"),
            "cs_pvt_key": base64.b64encode("dummy"),
        }

    def create_vote_obj(self, id="1"):
        vote_obj = {
            "ciphered_vote": "dummycipher",
            "signed_vote_hash": "dummysignature",
            "blind_components": "comp1",
            "pr_components": "comp2",
            "id": id,
        }
        return vote_obj

    def create_vote(self, blank=False, category="one",
                    candidates=[{"id": "1", "vote": 1}]):
        vote_dict = {
            "blank": blank,
            "category": category,
            "candidates": candidates
        }
        return vote_dict

    def create_vote_batch(self):
        vote_batch = [
            # Blank votes
            self.create_vote(blank=True),
            self.create_vote(blank=True, category="two"),
            # Standard vote
            self.create_vote(),
            # Multiple candidates votes
            self.create_vote(
                candidates=[
                    {"id": "1", "vote": 1},
                    {"id": "2", "vote": 1},
                ]
            ),
            # Weighted vote
            self.create_vote(
                category="two",
                candidates=[
                    {"id": "2", "vote": 1},
                ]
            ),
            # Ordered vote
            self.create_vote(
                category="one",
                candidates=[
                    {"id": "2", "vote": 1},
                    {"id": "4", "vote": 2},
                    {"id": "1", "vote": 3},
                    {"id": "3", "vote": 4},
                ]
            ),
        ]
        return vote_batch
