import os

from evotecounter.settings.base import *  # noqa


DEBUG = False
TEMPLATE_DEBUG = True
COMPRESS_OFFLINE = True


ALLOWED_HOSTS = [os.environ.get("SN_EVOTE_CS")]

SECRET_KEY = os.environ.get('SECRET_KEY')

MIDDLEWARE_CLASSES += (  # noqa
    'django.middleware.gzip.GZipMiddleware',
)

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql',
        'NAME': os.environ.get('MYSQL_DATABASE'),
        'USER': os.environ.get('MYSQL_USER'),
        'PASSWORD': os.environ.get('MYSQL_PASSWORD'),
        'HOST': os.environ.get('MYSQL_HOST'),
        'PORT': '',
        'OPTIONS': {
            'init_command': 'SET storage_engine=INNODB'
        },
    }
}


# Logging

LOGGING = {
    'version': 1,
    'disable_existing_loggers': False,
    'handlers': {
        'mail_admins': {
            'level': 'ERROR',
            'class': 'django.utils.log.AdminEmailHandler',
            'include_html': True
        }
    },
    'loggers': {
        'django.request': {
            'handlers': ['mail_admins'],
            'level': 'ERROR',
            'propagate': True,
        },
    },
}


# EVOTE ENDPOINTS

EVOTE_SERVICES_ENDPOINTS = {
    'anonymizer': 'https://{}/api/v1/'.format(os.environ.get('SN_EVOTE_AS'))
}
